// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "AuraTest"
{
	Properties
	{
		_MainTex ("Sprite Texture", 2D) = "white" {}
		_Color ("Tint", Color) = (1,1,1,1)
		
	}
	
	SubShader
	{
		Tags { "RenderType"="Opaque" "LightModel"="ForwardBase" }
		LOD 100
		Cull Back
		

		Pass
		{
			CGPROGRAM
			#pragma target 3.0 
			#pragma vertex vert
			#pragma fragment frag
			#include "UnityCG.cginc"
			#include "Aura.cginc"


			struct appdata
			{
				float4 vertex : POSITION;
				float4 texcoord : TEXCOORD0;
				float4 texcoord1 : TEXCOORD1;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				
			};
			
			struct v2f
			{
				float4 vertex : SV_POSITION;
				float4 texcoord : TEXCOORD0;
				UNITY_VERTEX_OUTPUT_STEREO
				float4 ase_texcoord1 : TEXCOORD1;
			};

			uniform sampler2D _MainTex;
			uniform fixed4 _Color;
			float3 MyCustomExpression( float4 Vertex )
			{
				return Aura_GetFrustumSpaceCoordinates(Vertex);
			}
			
			
			v2f vert ( appdata v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID(v);
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO(o);
				o.texcoord.xy = v.texcoord.xy;
				o.texcoord.zw = v.texcoord1.xy;
				
				// ase common template code
				float4 Vertex4 = v.vertex;
				float3 localMyCustomExpression4 = MyCustomExpression( Vertex4 );
				float3 vertexToFrag6 = localMyCustomExpression4;
				o.ase_texcoord1.xyz = vertexToFrag6;
				
				
				//setting value to unused interpolator channels and avoid initialization warnings
				o.ase_texcoord1.w = 0;
				
				v.vertex.xyz +=  float3(0,0,0) ;
				o.vertex = UnityObjectToClipPos(v.vertex);
				return o;
			}
			
			fixed4 frag (v2f i ) : SV_Target
			{
				fixed4 myColorVar;
				// ase common template code
				float4 localMyCustomExpression8 = ( float4( 0,0,0,0 ) );
				float4 localMyCustomExpression7 = ( float4( 0,0,0,0 ) );
				float3 color7 = float4(0,0.9779412,0.8602941,0).rgb;
				float3 vertexToFrag6 = i.ase_texcoord1.xyz;
				float3 uvs7 = vertexToFrag6;
				Aura_ApplyLighting(color7, uvs7, 1.0f);
				float3 color8 = color7;
				float3 uvs8 = vertexToFrag6;
				Aura_ApplyFog(color8, uvs8);
				
				
				myColorVar = float4( color8 , 0.0 );
				return myColorVar;
			}
			ENDCG
		}
	}
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=15301
1676;158;785;842;440.2654;353.4671;1.3;True;False
Node;AmplifyShaderEditor.PosVertexDataNode;5;-336,128;Float;False;1;0;5;FLOAT4;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.CustomExpressionNode;4;-144,128;Float;False;return Aura_GetFrustumSpaceCoordinates(Vertex)@;3;False;1;True;Vertex;FLOAT4;0,0,0,0;In;My Custom Expression;False;False;1;0;FLOAT4;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.ColorNode;3;64,-48;Float;False;Constant;_Color0;Color 0;0;0;Create;True;0;0;False;0;0,0.9779412,0.8602941,0;0,0,0,0;0;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.VertexToFragmentNode;6;64,128;Float;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.CustomExpressionNode;7;288,0;Float;False;Aura_ApplyLighting(color, uvs, 1.0f)@;7;True;2;True;color;FLOAT3;0,0,0;InOut;True;uvs;FLOAT3;0,0,0;In;My Custom Expression;False;False;3;0;FLOAT4;0,0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;2;COLOR;0;FLOAT3;2
Node;AmplifyShaderEditor.CustomExpressionNode;8;560,0;Float;False;Aura_ApplyFog(color, uvs)@;7;True;2;True;color;FLOAT3;0,0,0;InOut;True;uvs;FLOAT3;0,0,0;In;My Custom Expression;False;False;3;0;FLOAT4;0,0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;2;COLOR;0;FLOAT3;2
Node;AmplifyShaderEditor.TemplateMultiPassMasterNode;2;768,0;Float;False;True;2;Float;ASEMaterialInspector;0;2;AuraTest;6e114a916ca3e4b4bb51972669d463bf;0;0;SubShader 0 Pass 0;2;False;False;True;Back;False;False;False;False;False;True;2;RenderType=Opaque;LightModel=ForwardBase;False;0;0;0;False;False;False;False;False;False;False;False;False;True;2;0;0;1;Aura.cginc;2;0;FLOAT4;0,0,0,0;False;1;FLOAT3;0,0,0;False;0
WireConnection;4;0;5;0
WireConnection;6;0;4;0
WireConnection;7;1;3;0
WireConnection;7;2;6;0
WireConnection;8;1;7;2
WireConnection;8;2;6;0
WireConnection;2;0;8;2
ASEEND*/
//CHKSM=698E4AF7D3E87F98D1975A352A86136C6D5152FC